org.apache.uima.resource.metadata.impl

## Class ConfigurationParameterDeclarations_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.ConfigurationParameterDeclarations_impl

- All Implemented Interfaces:
    Serializable, Cloneable, ConfigurationParameterDeclarations, MetaDataObject, XMLizable

      public class ConfigurationParameterDeclarations_impl
      extends MetaDataObject_impl
      implements ConfigurationParameterDeclarations

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.metadata.ConfigurationParameterDeclarations

      `SEARCH_STRATEGY_DEFAULT_FALLBACK, SEARCH_STRATEGY_LANGUAGE_FALLBACK, SEARCH_STRATEGY_NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationParameterDeclarations_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConfigurationParameter` | `_getConfigurationParameter(ConfigurationParameter[] aParams, String aName)`
    `void` | `addCommonParameter(ConfigurationParameter aConfigurationParameter)` Adds a Configuration Parameter that is common to all groups.
    `void` | `addConfigurationGroup(ConfigurationGroup aConfigurationGroup)` Adds a Configuration Group.
    `void` | `addConfigurationParameter(ConfigurationParameter aConfigurationParameter)` Adds a Configuration Parameter that is not in any group.
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Overridden to provide custom XMLization.
    `ConfigurationParameter[]` | `getCommonParameters()` Gets the configuration parameters that are common to all groups.
    `ConfigurationGroup[]` | `getConfigurationGroupDeclarations(String aGroupName)` Gets the declarations of a named configuration group.
    `ConfigurationGroup[]` | `getConfigurationGroups()` Gets the configuration parameter groups for this Resource.
    `ConfigurationParameter` | `getConfigurationParameter(String aGroupName, String aParamName)` Gets a configuration parameter.
    `ConfigurationParameter[]` | `getConfigurationParameters()` Gets the configuration parameters for this Resource.
    `String` | `getDefaultGroupName()` Gets the name of the default configuration group.
    `String` | `getSearchStrategy()` Gets the configuration parameter search strategy.
    `protected AttributesImpl` | `getXMLAttributes()` Called by the `MetaDataObject_impl.toXML(ContentHandler, boolean)` method to get the XML attributes that will be written as part of the element's tag.
    `protected String` | `getXMLAttributeString()` Overridden to return defaultGroup and searchStrategy as XML attributes.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `removeCommonParameter(ConfigurationParameter aConfigurationParameter)` Removes an Configuration Parameter that is common to all groups.
    `void` | `removeConfigurationGroup(ConfigurationGroup aConfigurationGroup)` Removes an Configuration Group
    `void` | `removeConfigurationParameter(ConfigurationParameter aConfigurationParameter)` Removes an Configuration Parameter that is not in any group.
    `void` | `setCommonParameters(ConfigurationParameter[] aParams)` Sets the configuration parameters that are common to all groups.
    `void` | `setConfigurationGroups(ConfigurationGroup[] aGroups)` Sets the configuration parameter groups for this Resource.
    `void` | `setConfigurationParameters(ConfigurationParameter[] aParams)` Sets the configuration parameters for this Resource.
    `void` | `setDefaultGroupName(String aGroupName)` Sets the name of the default configuration group.
    `void` | `setSearchStrategy(String aStrategy)` Sets the configuration parameter search strategy.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### ConfigurationParameterDeclarations_impl

          public ConfigurationParameterDeclarations_impl()

  - ### Method Detail

    - #### getConfigurationParameters

          public ConfigurationParameter[] getConfigurationParameters()

      Description copied from interface: `ConfigurationParameterDeclarations`
      Gets the configuration parameters for this Resource. This gets configuration parameters that are not defined within a group - see also `ConfigurationParameterDeclarations.getConfigurationGroups()`.
      Specified by:
        `getConfigurationParameters` in interface `ConfigurationParameterDeclarations`
      Returns:
        an array containing `ConfigurationParameter` objects, each of which describes a configuration parameter for this Resource.
      See Also:
        `ConfigurationParameterDeclarations.getConfigurationParameters()`

    - #### setConfigurationParameters

          public void setConfigurationParameters(ConfigurationParameter[] aParams)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Sets the configuration parameters for this Resource. This sets the configuration parameters that are not defined within groups - see also `ConfigurationParameterDeclarations.setConfigurationGroups(ConfigurationGroup[])`.
      Specified by:
        `setConfigurationParameters` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aParams` - an array containing `ConfigurationParameter` objects, each of which describes a configuration parameter for this Resource.
      See Also:
        `ConfigurationParameterDeclarations.setConfigurationParameters(ConfigurationParameter[])`

    - #### getCommonParameters

          public ConfigurationParameter[] getCommonParameters()

      Description copied from interface: `ConfigurationParameterDeclarations`
      Gets the configuration parameters that are common to all groups. This property is only meaningful if at least one group is defined.
      Specified by:
        `getCommonParameters` in interface `ConfigurationParameterDeclarations`
      Returns:
        an array containing `ConfigurationParameter` objects, each of which describes a parameter common to all groups.
      See Also:
        `ConfigurationParameterDeclarations.getCommonParameters()`

    - #### getConfigurationGroups

          public ConfigurationGroup[] getConfigurationGroups()

      Description copied from interface: `ConfigurationParameterDeclarations`
      Gets the configuration parameter groups for this Resource.
      Specified by:
        `getConfigurationGroups` in interface `ConfigurationParameterDeclarations`
      Returns:
        an array containing `ConfigurationGroup` objects, each of which describes a configuration parameter group for this Resource.
      See Also:
        `ConfigurationParameterDeclarations.getConfigurationGroups()`

    - #### getDefaultGroupName

          public String getDefaultGroupName()

      Description copied from interface: `ConfigurationParameterDeclarations`
      Gets the name of the default configuration group. This must refer to the names of the `configuration groups`.
      Specified by:
        `getDefaultGroupName` in interface `ConfigurationParameterDeclarations`
      Returns:
        the name of the default configuration group
      See Also:
        `ConfigurationParameterDeclarations.getDefaultGroupName()`

    - #### getSearchStrategy

          public String getSearchStrategy()

      Description copied from interface: `ConfigurationParameterDeclarations`
      Gets the configuration parameter search strategy. Valid values for this property are defined by constants on this interface.
      Specified by:
        `getSearchStrategy` in interface `ConfigurationParameterDeclarations`
      Returns:
        the configuration parameter search strategy
      See Also:
        `ConfigurationParameterDeclarations.getSearchStrategy()`

    - #### setCommonParameters

          public void setCommonParameters(ConfigurationParameter[] aParams)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Sets the configuration parameters that are common to all groups. This property is only meaningful if at least one group is defined.
      Specified by:
        `setCommonParameters` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aParams` - an array containing `ConfigurationParameter` objects, each of which describes a parameter common to all groups.
      See Also:
        `ConfigurationParameterDeclarations.setCommonParameters(ConfigurationParameter[])`

    - #### setConfigurationGroups

          public void setConfigurationGroups(ConfigurationGroup[] aGroups)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Sets the configuration parameter groups for this Resource.
      Specified by:
        `setConfigurationGroups` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aGroups` - an array containing `ConfigurationGroup` objects, each of which describes a configuration parameter group for this Resource.
      See Also:
        `ConfigurationParameterDeclarations.setConfigurationGroups(ConfigurationGroup[])`

    - #### setDefaultGroupName

          public void setDefaultGroupName(String aGroupName)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Sets the name of the default configuration group. This must refer to the names of the `configuration groups`.
      Specified by:
        `setDefaultGroupName` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aGroupName` - the name of the default configuration group
      See Also:
        `ConfigurationParameterDeclarations.setDefaultGroupName(String)`

    - #### setSearchStrategy

          public void setSearchStrategy(String aStrategy)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Sets the configuration parameter search strategy. Valid values for this property are defined by constants on this interface.
      Specified by:
        `setSearchStrategy` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aStrategy` - the configuration parameter search strategy
      See Also:
        `ConfigurationParameterDeclarations.setSearchStrategy(java.lang.String)`

    - #### getConfigurationParameter

          public ConfigurationParameter getConfigurationParameter(String aGroupName,
                                                                  String aParamName)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Gets a configuration parameter.
      Specified by:
        `getConfigurationParameter` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aGroupName` - the name of a group, or `null` for no group
        `aParamName` - the name of the parameter
      Returns:
        the specified parameter, `null` if it does not exist
      See Also:
        `ConfigurationParameterDeclarations.getConfigurationParameter(String, String)`

    - #### getConfigurationGroupDeclarations

          public ConfigurationGroup[] getConfigurationGroupDeclarations(String aGroupName)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Gets the declarations of a named configuration group. There may be more than one declaration for a single group name; in this case, all parameters contained in each of these declarations are considered part of the named group.
      Specified by:
        `getConfigurationGroupDeclarations` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aGroupName` - the name of a group
      Returns:
        an array of ConfigurationGroup declarations having the name `aGroupName`. If there are no such groups, an empty array is returned.
      See Also:
        `ConfigurationParameterDeclarations.getConfigurationGroupDeclarations(String)`

    - #### addConfigurationParameter

          public void addConfigurationParameter(ConfigurationParameter aConfigurationParameter)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Adds a Configuration Parameter that is not in any group.
      Specified by:
        `addConfigurationParameter` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aConfigurationParameter` - the Configuration Parameter to add
      See Also:
        `ConfigurationParameterDeclarations.addConfigurationParameter(ConfigurationParameter)`

    - #### removeConfigurationParameter

          public void removeConfigurationParameter(ConfigurationParameter aConfigurationParameter)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Removes an Configuration Parameter that is not in any group.
      Specified by:
        `removeConfigurationParameter` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aConfigurationParameter` - the Configuration Parameter to remove (must be == with an ConfigurationParameter in this collection, or this method will do nothing).
      See Also:
        `ConfigurationParameterDeclarations.removeConfigurationParameter(ConfigurationParameter)`

    - #### addCommonParameter

          public void addCommonParameter(ConfigurationParameter aConfigurationParameter)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Adds a Configuration Parameter that is common to all groups.
      Specified by:
        `addCommonParameter` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aConfigurationParameter` - the Configuration Parameter to add
      See Also:
        `ConfigurationParameterDeclarations.addConfigurationParameter(ConfigurationParameter)`

    - #### removeCommonParameter

          public void removeCommonParameter(ConfigurationParameter aConfigurationParameter)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Removes an Configuration Parameter that is common to all groups.
      Specified by:
        `removeCommonParameter` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aConfigurationParameter` - the Configuration Parameter to remove (must be == with an ConfigurationParameter in this collection, or this method will do nothing).
      See Also:
        `ConfigurationParameterDeclarations.removeConfigurationParameter(ConfigurationParameter)`

    - #### addConfigurationGroup

          public void addConfigurationGroup(ConfigurationGroup aConfigurationGroup)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Adds a Configuration Group.
      Specified by:
        `addConfigurationGroup` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aConfigurationGroup` - the Configuration Group to add
      See Also:
        `ConfigurationParameterDeclarations.addConfigurationGroup(ConfigurationGroup)`

    - #### removeConfigurationGroup

          public void removeConfigurationGroup(ConfigurationGroup aConfigurationGroup)

      Description copied from interface: `ConfigurationParameterDeclarations`
      Removes an Configuration Group
      Specified by:
        `removeConfigurationGroup` in interface `ConfigurationParameterDeclarations`
      Parameters:
        `aConfigurationGroup` - the Configuration Group to remove (must be == with an ConfigurationGroup defined on this resource, or this method will do nothing).
      See Also:
        `ConfigurationParameterDeclarations.removeConfigurationGroup(ConfigurationGroup)`

    - #### _getConfigurationParameter

          protected ConfigurationParameter _getConfigurationParameter(ConfigurationParameter[] aParams,
                                                                      String aName)

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Overridden to provide custom XMLization.
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object
      See Also:
        `XMLizable.buildFromXMLElement(org.w3c.dom.Element, org.apache.uima.util.XMLParser)`

    - #### getXMLAttributeString

          protected String getXMLAttributeString()

      Overridden to return defaultGroup and searchStrategy as XML attributes. 9/2013: superclasses don't have this method, so can't be overridden. 9/2013: method never called
      Returns:
        -

    - #### getXMLAttributes

          protected AttributesImpl getXMLAttributes()

      Description copied from class: `MetaDataObject_impl`
      Called by the `MetaDataObject_impl.toXML(ContentHandler, boolean)` method to get the XML attributes that will be written as part of the element's tag. By default this method returns an empty Attributes object. Subclasses may override it in order to write attributes to the XML.
      Overrides:
        `getXMLAttributes` in class `MetaDataObject_impl`
      Returns:
        an object defining the attributes to be written to the XML
      See Also:
        `MetaDataObject_impl.getXMLAttributes()`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation
      See Also:
        `MetaDataObject_impl.getXmlizationInfo()`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.